API referenceIdentity and accessAPI clients
Rename, re-describe or re-scope an API client
Requires the api_clients:update permission.
AuthorizationBearer <token>
An access token from this zone's POST /oauth/token, or a session token from POST /api/v1/auth/login. Send it as Authorization: Bearer <token>.
In: header
Path Parameters
id*string
Request Body
application/json
TypeScript Definitions
Use the request body type in TypeScript.
Response Body
application/json
application/json
application/json
application/json
application/json
application/json
curl -X PATCH "https://example.com/api/v1/api-clients/string" \ -H "Content-Type: application/json" \ -d '{}'{ "client_id": "string", "created_at": "2019-08-24T14:15:22Z", "created_by": "ee824cad-d7a6-4f48-87dc-e8461a9201c4", "description": "string", "expired": true, "expires_at": "2019-08-24T14:15:22Z", "id": "497f6eca-6276-4993-bfeb-53cbbbba6f08", "last_used_at": "2019-08-24T14:15:22Z", "name": "string", "scopes": [ "string" ], "secret_hint": "string", "tenant_id": "34f5c98e-f430-457b-a812-92637d0c6fd0", "token_endpoint": "string", "updated_at": "2019-08-24T14:15:22Z"}